### Class

# EvinceDocument RenderContext

since: 3.0

#### Description

    class EvinceDocument.RenderContext : GObject.Object
    {
      page: EvPage*,
      rotation: gint,
      scale: gdouble,
      target_width: gint,
      target_height: gint
    }

No description available.

Available since: 3.0

#### Ancestors

- GObject

#### Constructors

###### ev_render_context_new

No description available.

since: 3.0

#### Instance methods

###### ev_render_context_compute_scaled_size

No description available.

since: 3.0

###### ev_render_context_compute_scales

No description available.

since: 3.0

###### ev_render_context_compute_transformed_size

No description available.

since: 3.0

###### ev_render_context_set_page

No description available.

since: 3.0

###### ev_render_context_set_rotation

No description available.

since: 3.0

###### ev_render_context_set_scale

No description available.

since: 3.0

###### ev_render_context_set_target_size

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceDocumentRenderContextClass {
      GObjectClass klass;

    }

No description available.

###### Class members

`klass: GObjectClass`
  No description available.